weka.core.pmml.jaxbbindings

## Class RuleSet

- java.lang.Object
- - weka.core.pmml.jaxbbindings.RuleSet

-     public class RuleSet
      extends java.lang.Object

  Java class for RuleSet element declaration.

  The following schema fragment specifies the expected content contained within this class.

       <element name="RuleSet">
         <complexType>
           <complexContent>
             <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
               <sequence>
                 <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}RuleSelectionMethod" maxOccurs="unbounded"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}ScoreDistribution" maxOccurs="unbounded" minOccurs="0"/>
                 <group ref="{http://www.dmg.org/PMML-4_1}Rule" maxOccurs="unbounded" minOccurs="0"/>
               </sequence>
               <attribute name="defaultConfidence" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
               <attribute name="defaultScore" type="{http://www.w3.org/2001/XMLSchema}string" />
               <attribute name="nbCorrect" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
               <attribute name="recordCount" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
             </restriction>
           </complexContent>
         </complexType>
       </element>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RuleSet()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Double` | `getDefaultConfidence()` Gets the value of the defaultConfidence property.
    `java.lang.String` | `getDefaultScore()` Gets the value of the defaultScore property.
    `java.util.List<Extension>` | `getExtension()` Gets the value of the extension property.
    `java.lang.Double` | `getNbCorrect()` Gets the value of the nbCorrect property.
    `java.lang.Double` | `getRecordCount()` Gets the value of the recordCount property.
    `java.util.List<java.lang.Object>` | `getRule()` Gets the value of the rule property.
    `java.util.List<RuleSelectionMethod>` | `getRuleSelectionMethod()` Gets the value of the ruleSelectionMethod property.
    `java.util.List<ScoreDistribution>` | `getScoreDistribution()` Gets the value of the scoreDistribution property.
    `void` | `setDefaultConfidence(java.lang.Double value)` Sets the value of the defaultConfidence property.
    `void` | `setDefaultScore(java.lang.String value)` Sets the value of the defaultScore property.
    `void` | `setNbCorrect(java.lang.Double value)` Sets the value of the nbCorrect property.
    `void` | `setRecordCount(java.lang.Double value)` Sets the value of the recordCount property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RuleSet

          public RuleSet()

  - ### Method Detail

    - #### getExtension

          public java.util.List<Extension> getExtension()

      Gets the value of the extension property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

      For example, to add a new item, do as follows:

              getExtension().add(newItem);

      Objects of the following type(s) are allowed in the list `Extension`

    - #### getRuleSelectionMethod

          public java.util.List<RuleSelectionMethod> getRuleSelectionMethod()

      Gets the value of the ruleSelectionMethod property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the ruleSelectionMethod property.

      For example, to add a new item, do as follows:

              getRuleSelectionMethod().add(newItem);

      Objects of the following type(s) are allowed in the list `RuleSelectionMethod`

    - #### getScoreDistribution

          public java.util.List<ScoreDistribution> getScoreDistribution()

      Gets the value of the scoreDistribution property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the scoreDistribution property.

      For example, to add a new item, do as follows:

              getScoreDistribution().add(newItem);

      Objects of the following type(s) are allowed in the list `ScoreDistribution`

    - #### getRule

          public java.util.List<java.lang.Object> getRule()

      Gets the value of the rule property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the rule property.

      For example, to add a new item, do as follows:

              getRule().add(newItem);

      Objects of the following type(s) are allowed in the list `SimpleRule` `CompoundRule`

    - #### getDefaultConfidence

          public java.lang.Double getDefaultConfidence()

      Gets the value of the defaultConfidence property.
      Returns:
        possible object is `Double`

    - #### setDefaultConfidence

          public void setDefaultConfidence(java.lang.Double value)

      Sets the value of the defaultConfidence property.
      Parameters:
        `value` - allowed object is `Double`

    - #### getDefaultScore

          public java.lang.String getDefaultScore()

      Gets the value of the defaultScore property.
      Returns:
        possible object is `String`

    - #### setDefaultScore

          public void setDefaultScore(java.lang.String value)

      Sets the value of the defaultScore property.
      Parameters:
        `value` - allowed object is `String`

    - #### getNbCorrect

          public java.lang.Double getNbCorrect()

      Gets the value of the nbCorrect property.
      Returns:
        possible object is `Double`

    - #### setNbCorrect

          public void setNbCorrect(java.lang.Double value)

      Sets the value of the nbCorrect property.
      Parameters:
        `value` - allowed object is `Double`

    - #### getRecordCount

          public java.lang.Double getRecordCount()

      Gets the value of the recordCount property.
      Returns:
        possible object is `Double`

    - #### setRecordCount

          public void setRecordCount(java.lang.Double value)

      Sets the value of the recordCount property.
      Parameters:
        `value` - allowed object is `Double`